MYTHMETADATALOOKUP(1)

NAME
mythmetadatalookup - MythTV metadata lookup

DESCRIPTION
mythmetadatalookup version: fixes/36 [v36.0+fixes.20260401.1385cbfc60-0ubuntu1] www.mythtv.org Misc. Options:

--chanid
    Specify chanid of recording to operate on.

--refresh-rules
    Also update inetref for recording rules when metadata is found for a recording (Best effort only, imperfect)

--refresh-all
    Batch update recorded program metadata. If a recording's rule has an inetref but the recording does not, it will be inherited.

--refresh-all-artwork
    Batch update artwork for non-generic recording rules and recordings. This is a more conservative option which only operates on items for which it is likely to be able to find artwork. This option will not overwrite any existing artwork.

--refresh-all-artwork-dangerously
    Batch update artwork for ALL recording rules and recordings. This will attempt to download fanart, coverart, and banner for each season of each recording rule and all recordings. This option will not overwrite any existing artwork. If a rule or recording has not been looked up, this will attempt to look it up. This is a very aggressive option! Use with care.

--refresh-all-rules
    Batch update metadata for recording rules. This will set inetrefs for your recording rules based on an automated lookup. This is a best effort, and not guaranteed! If your recordings lack inetrefs but one is found for the rule, it will be inherited.

-h, --help, --usage
    Display this help printout, or give detailed information of selected option.

--version
    Display version information.

--starttime
    Specify start time of recording to operate on.

Logging Options:

--loglevel
    Set the logging level. All log messages at lower levels will be discarded. In descending order: emerg, alert, crit, err, warning, notice, info, debug, trace defaults to info

--loglong
    Use long log format for the console, i.e. show file, line number, etc. in the console log.

--logpath
    Writes logging messages to a file in the directory logpath with filenames in the format: applicationName.date.pid.log. This is typically used in combination with --daemon, and if used in combination with --pidfile, this can be used with log rotators, using the HUP call to inform MythTV to reload the file

-q, --quiet
    Don't log to the console (-q). Don't log anywhere (-q -q)

--syslog
    Set the syslog logging facility. Set to "none" to disable, defaults to none.

--systemd-journal
    Use systemd-journal instead of syslog.

-v, --verbose
    Specify log filtering. Use '-v help' for level info.